%define oname	gstreamer
%define api	0.10
%define name	%{oname}%{api}
%define version	0.10.36
%define release	5
%define vname	%{oname}10

%define major		0
%define libname		%mklibname %{oname} %{api} %{major}
%define gi_name		%mklibname gst-gir %{api}
%define libnamedev	%mklibname -d %{name}
%define _glib2		2.2.0
%define _libxml2	2.4.0
%define build_docs 	1

Name: 		%{name}
Summary: 	GStreamer Streaming-media framework runtime
Version: 	%{version}
Release: 	%mkrel %{release}
License: 	LGPLv2+
Group: 		System/Libraries
URL:            http://gstreamer.freedesktop.org/
Source0: 	http://gstreamer.freedesktop.org/src/gstreamer/%{oname}-%{version}.tar.bz2
Source1:	gstreamer.prov
Patch0:		gstreamer-inspect-rpm-format.patch
# (cjw) a test expects a segfault but glib detects the problem and aborts
Patch1:		gstreamer-test-glib-abort.patch
Patch3:		gstreamer-0.10.36-automake-1.13.patch
BuildRequires: 	glib2-devel >= %{_glib2}
BuildRequires: 	libxml2-devel >= %{_libxml2}
BuildRequires:  gobject-introspection-devel
BuildRequires:	popt-devel
BuildRequires:	gettext-devel
BuildRequires:  libcheck-devel
BuildRequires:  chrpath
BuildRequires:  bison
BuildRequires:  flex

%ifnarch %arm %mips
BuildRequires:  valgrind-devel
%endif

%ifarch %ix86
BuildRequires: 	nasm => 0.90
%endif

%if %build_docs
BuildRequires: 	gtk-doc >= 0.7
BuildRequires: 	transfig
BuildRequires:  docbook-dtd42-xml
BuildRequires:  docbook-dtd412-xml
BuildRequires:  ghostscript
BuildRequires:  python-pyxml
%endif

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package tools
Summary:	GStreamer Streaming-media framework runtime
Group:		Video/Utilities
Provides:	%{vname}-tools = %{version}-%{release}

%description tools
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.

%package -n %{libname}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Requires:	%{name}-tools >= %{version}-%{release}
Provides:	libgstreamer%{api} = %{version}-%{release}
Obsoletes:	%mklibname %{oname} 0.10 0.10

%description -n %{libname}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%package -n %{gi_name}
Summary:	GObject Introspection interface libraries for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-3

%description -n %{gi_name}
GObject Introspection interface libraries for %{name}.

%package -n %{libnamedev}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Conflicts:	gir-repository < 0.6.5-3
Requires:	%{libname} = %{version}-%{release}
Requires:	libglib2-devel
Requires:	libxml2-devel
Requires:	rpm-mageia-setup >= 1.115
Requires:	%{name}-tools = %{version}-%{release}
Provides:	libgstreamer-devel = %{version}-%{release}
Provides:	gstreamer%{api}-devel = %{version}-%{release}

%description -n %{libnamedev}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
# (re)generate autofoo with our autotools
./autogen.sh --noconfigure

# Force arch-specific libexecdir, since we want to have arch specific
# gst-plugin-scanner binaries. -Anssi 01/2013
%configure2_5x \
	--libexecdir="%{_libdir}" \
	--enable-debug \
	--disable-dependency-tracking \
	--with-package-name='%_vendor %{name} package' \
	--with-package-origin='http://bugs.%_vendor.org/' \
	--disable-tests \
	--disable-examples \
	--disable-rpath \
%if %build_docs
	--enable-docbook \
	--enable-gtk-doc \
%else	
	--disable-docbook \
	--disable-gtk-doc \
%endif
%ifarch %mips
	--disable-valgrind \
%endif
	--with-html-dir=%{_datadir}/gtk-doc/html

make

%check
cd tests/check
make check

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

mkdir -p %{buildroot}%{_var}/cache/%{oname}-%{api}

#clean the files we don't want to install 
rm -f %{buildroot}%{_libdir}/%{oname}-%{api}/*.la
rm -f %{buildroot}%{_libdir}/%{oname}-%{api}/*.a
rm -f %{buildroot}%{_libdir}/*a 
rm -f %{buildroot}%{_bindir}/gst-feedback
rm -f %{buildroot}%{_bindir}/gst-inspect
rm -f %{buildroot}%{_bindir}/gst-launch
rm -f %{buildroot}%{_bindir}/gst-md5sum
rm -f %{buildroot}%{_bindir}/gst-typefind
rm -f %{buildroot}%{_bindir}/gst-xmlinspect
rm -f %{buildroot}%{_bindir}/gst-xmllaunch

%find_lang %{oname}-%{api}

%if %build_docs
mv %{buildroot}%{_datadir}/doc/%{oname}-%{api}/ installed-docs
%endif

#gw really remove rpath for rpmlint
chrpath -d %{buildroot}{%_bindir/gst-{inspect,launch,typefind,xmlinspect,xmllaunch}-0.10,%_libdir/{*.so,%{oname}-%{api}/*.so}}

# Add the provides script
install -m0755 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/rpm/%{_real_vendor}/gstreamer.prov

%clean
rm -rf %{buildroot}

%files tools -f %{oname}-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README NEWS
%dir %{_var}/cache/%{oname}-%{api}
%{_bindir}/gst-feedback-%{api}
%{_bindir}/gst-inspect-%{api}
%{_bindir}/gst-launch-%{api}
%{_bindir}/gst-typefind-%{api}
%{_bindir}/gst-xmlinspect-%{api}
%{_bindir}/gst-xmllaunch-%{api}
%{_mandir}/man1/gst-feedback-%{api}.1*
%{_mandir}/man1/gst-inspect-%{api}.1*
%{_mandir}/man1/gst-launch-%{api}.1*
%{_mandir}/man1/gst-typefind-%{api}.1*
%{_mandir}/man1/gst-xmlinspect-%{api}.1*
%{_mandir}/man1/gst-xmllaunch-%{api}.1*
# gw this must always be in a package named gstreamer-tools
#%files -n gstreamer-tools
#%defattr(-, root, root, -)
#%{_bindir}/gst-feedback
#%{_bindir}/gst-inspect
#%{_bindir}/gst-launch
#%{_bindir}/gst-md5sum
#%{_bindir}/gst-typefind
#%{_bindir}/gst-xmlinspect
#%{_bindir}/gst-xmllaunch

%files -n %{libname}
%defattr(-, root, root)
%dir %{_libdir}/%{oname}-%{api}
%{_libdir}/libgstbase-%{api}.so.*
%{_libdir}/libgstcheck-%{api}.so.*
%{_libdir}/libgstdataprotocol-%{api}.so.*
%{_libdir}/libgstreamer-%{api}.so.*
%{_libdir}/libgstnet-%{api}.so.*
%{_libdir}/libgstcontroller-%{api}.so.*
%{_libdir}/%{oname}-%{api}/gst-plugin-scanner
%{_libdir}/%{oname}-%{api}/libgstcoreelements.so
%{_libdir}/%{oname}-%{api}/libgstcoreindexers.so

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gst-%{api}.typelib
%{_libdir}/girepository-1.0/GstBase-%{api}.typelib
%{_libdir}/girepository-1.0/GstCheck-%{api}.typelib
%{_libdir}/girepository-1.0/GstController-%{api}.typelib
%{_libdir}/girepository-1.0/GstNet-%{api}.typelib


%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog

%if %build_docs
%doc installed-docs/*
%endif

%{_prefix}/lib/rpm/%{_real_vendor}/gstreamer.prov
%dir %{_includedir}/%{oname}-%{api}
%dir %{_includedir}/%{oname}-%{api}/gst
%{_includedir}/%{oname}-%{api}/gst/*.h
%dir %{_includedir}/%{oname}-%{api}/gst/base/
%{_includedir}/%{oname}-%{api}/gst/base/*.h
%{_includedir}/%{oname}-%{api}/gst/check/
%dir %{_includedir}/%{oname}-%{api}/gst/controller/
%{_includedir}/%{oname}-%{api}/gst/controller/*.h
%dir %{_includedir}/%{oname}-%{api}/gst/dataprotocol/
%{_includedir}/%{oname}-%{api}/gst/dataprotocol/*.h
%{_includedir}/%{oname}-%{api}/gst/net/
%{_libdir}/libgstbase-%{api}.so
%{_libdir}/libgstcheck-%{api}.so
%{_libdir}/libgstdataprotocol-%{api}.so
%{_libdir}/libgstreamer-%{api}.so
%{_libdir}/libgstnet-%{api}.so
%{_libdir}/libgstcontroller-%{api}.so
%{_datadir}/aclocal/gst-element-check-%{api}.m4
%{_libdir}/pkgconfig/gstreamer-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-base-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-check-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-net-%{api}.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{api}.pc
%if 1
## we specify the API docs as regular files since %docs doesn't fail when
#  files aren't found anymore for RPM >= 4
#  we list all of the files we really need to trap incomplete doc builds
#  then we catch the rest with *, you can safely ignore the errors from this
## gstreamer API
%dir %{_datadir}/gtk-doc/html/%{oname}-%{api}
%{_datadir}/gtk-doc/html/%{oname}-%{api}/%{oname}-%{api}.devhelp2
%{_datadir}/gtk-doc/html/%{oname}-%{api}/GstBin.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/GstClock.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/GstObject.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/GstPipeline.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/GstPluginFeature.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/%{oname}.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/%{oname}-support.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/GstXML.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/index.html
%{_datadir}/gtk-doc/html/%{oname}-%{api}/index.sgml
## gstreamer-libs API
%dir %{_datadir}/gtk-doc/html/%{oname}-libs-%{api}
%{_datadir}/gtk-doc/html/%{oname}-libs-%{api}/%{oname}-libs-%{api}.devhelp2
%{_datadir}/gtk-doc/html/%{oname}-libs-%{api}/%{oname}-libs.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{api}/index.html
%{_datadir}/gtk-doc/html/%{oname}-libs-%{api}/index.sgml
## this catches all of the rest of the docs we might have forgotten
%{_datadir}/gtk-doc/html/*
%endif
%{_datadir}/gir-1.0/Gst-%{api}.gir
%{_datadir}/gir-1.0/GstBase-%{api}.gir
%{_datadir}/gir-1.0/GstCheck-%{api}.gir
%{_datadir}/gir-1.0/GstController-%{api}.gir
%{_datadir}/gir-1.0/GstNet-%{api}.gir


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.10.36-5.mga3
+ Revision: 352715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 anssi <anssi> 0.10.36-4.mga3
+ Revision: 338747
- use arch-specific libexecdir since we want to have arch specific
  gst-plugin-scanner binaries

* Fri Jan 04 2013 cjw <cjw> 0.10.36-3.mga3
+ Revision: 338651
- patch3: fix build with automake 1.13
- fix filelist for libexecdir

* Sat Dec 01 2012 cjw <cjw> 0.10.36-2.mga3
+ Revision: 324191
- do not use old "Sound" rpm group
- patch1: fix a glib test for new glib
- build docs

* Sat Feb 25 2012 fwang <fwang> 0.10.36-1.mga2
+ Revision: 214523
- update file list
- new version 0.10.36

* Sat Jul 09 2011 cjw <cjw> 0.10.35-3.mga2
+ Revision: 121290
- fix library package name
- move gobject introspection typelibs to a separate subpackage
- rebuild for automatic typelib provides and deps

* Mon Jun 20 2011 ahmad <ahmad> 0.10.35-2.mga2
+ Revision: 110665
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Mon Jun 20 2011 wally <wally> 0.10.35-1.mga2
+ Revision: 110623
- new version 0.10.35
- drop buildroot definition

* Sun Jan 23 2011 wally <wally> 0.10.32-1.mga1
+ Revision: 34272
- new version 0.10.32
- remove some old provides/obsoletes
- clean .spec

  + dmorgan <dmorgan>
    - Fix bugzilla URL
    - Replace mandriva by mageia
    - Remove mdv macros
      Do not build docs for the moment
    - imported package gstreamer0.10

